using System ;
using System.Collections.Generic ;
using System.Runtime.InteropServices ;
using System.Text ;


namespace DxLibDLL
{


	public static partial class DX
	{


		internal static bool LogOutFlag
		{
			get { return logOutFlag ; }
		}

		private static bool logOutFlag = true ;

		internal static readonly object locker = new object() ;


	#if UNICODE
		[ StructLayout( LayoutKind.Sequential , CharSet = CharSet.Unicode ) ]
	#else
		[ StructLayout( LayoutKind.Sequential , CharSet = CharSet.Ansi ) ]
	#endif
		internal struct GUID
		{

			[ MarshalAs( UnmanagedType.ByValArray , SizeConst = 16 ) ]
			public byte[] Data ;
		}
	}
}
